searchData={"items":[{"type":"module","title":"FindSiteIcon","doc":"Finds the large square icon for a site given its URL.","ref":"FindSiteIcon.html"},{"type":"function","title":"FindSiteIcon.find_icon/2","doc":"Finds the large square icon for a site given its URL.\n\nCan be provided with additional options in the second argument:\n* :html -> can pass an already fetched html. Will look for icon link tags within the provided\nhtml if present.\n* :default_icon_url -> is used if no icon_url could be fetched.","ref":"FindSiteIcon.html#find_icon/2"},{"type":"function","title":"Examples - FindSiteIcon.find_icon/2","doc":"iex> FindSiteIcon.find_icon(\"https://nytimes.com\")\n    {:ok, \"https://nytimes.com/vi-assets/static-assets/ios-ipad-144x144-28865b72953380a40aa43318108876cb.png\"}","ref":"FindSiteIcon.html#find_icon/2-examples"},{"type":"module","title":"FindSiteIcon.Cache","doc":"Cache for holding all the icons for websites. Ensures that we don't have to\nmake unnecessary api calls.","ref":"FindSiteIcon.Cache.html"},{"type":"function","title":"FindSiteIcon.Cache.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"FindSiteIcon.Cache.html#child_spec/1"},{"type":"function","title":"FindSiteIcon.Cache.ets_table/0","doc":"","ref":"FindSiteIcon.Cache.html#ets_table/0"},{"type":"function","title":"FindSiteIcon.Cache.extract_host/1","doc":"","ref":"FindSiteIcon.Cache.html#extract_host/1"},{"type":"function","title":"FindSiteIcon.Cache.get/1","doc":"","ref":"FindSiteIcon.Cache.html#get/1"},{"type":"function","title":"FindSiteIcon.Cache.start_link/1","doc":"","ref":"FindSiteIcon.Cache.html#start_link/1"},{"type":"function","title":"FindSiteIcon.Cache.update/2","doc":"","ref":"FindSiteIcon.Cache.html#update/2"},{"type":"module","title":"FindSiteIcon.IconInfo","doc":"The basic icon struct, holding all the info we need for an icon","ref":"FindSiteIcon.IconInfo.html"},{"type":"module","title":"FindSiteIcon.Util.HTTPUtils","doc":"Simple wrapper over our http library","ref":"FindSiteIcon.Util.HTTPUtils.html"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#delete/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#delete!/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.do_get/3","doc":"","ref":"FindSiteIcon.Util.HTTPUtils.html#do_get/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#get/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#get!/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#head/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#head!/3"},{"type":"type","title":"FindSiteIcon.Util.HTTPUtils.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"FindSiteIcon.Util.HTTPUtils.html#t:option/0"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#options/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#options!/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"FindSiteIcon.Util.HTTPUtils.html#patch/4"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"FindSiteIcon.Util.HTTPUtils.html#patch!/4"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"FindSiteIcon.Util.HTTPUtils.html#post/4"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"FindSiteIcon.Util.HTTPUtils.html#post!/4"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"FindSiteIcon.Util.HTTPUtils.html#put/4"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"FindSiteIcon.Util.HTTPUtils.html#put!/4"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.request/2","doc":"Perform a request.","ref":"FindSiteIcon.Util.HTTPUtils.html#request/2"},{"type":"function","title":"Options - FindSiteIcon.Util.HTTPUtils.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"FindSiteIcon.Util.HTTPUtils.html#request/2-options"},{"type":"function","title":"Examples - FindSiteIcon.Util.HTTPUtils.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#request/2-examples"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"FindSiteIcon.Util.HTTPUtils.html#request!/2"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#trace/3"},{"type":"function","title":"FindSiteIcon.Util.HTTPUtils.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"FindSiteIcon.Util.HTTPUtils.html#trace!/3"},{"type":"module","title":"FindSiteIcon.Util.IconUtils","doc":"Utilities for working with icon info","ref":"FindSiteIcon.Util.IconUtils.html"},{"type":"function","title":"FindSiteIcon.Util.IconUtils.expired?/1","doc":"","ref":"FindSiteIcon.Util.IconUtils.html#expired?/1"},{"type":"function","title":"FindSiteIcon.Util.IconUtils.extract_header/2","doc":"","ref":"FindSiteIcon.Util.IconUtils.html#extract_header/2"},{"type":"function","title":"FindSiteIcon.Util.IconUtils.generate_expiration_timestamp/1","doc":"","ref":"FindSiteIcon.Util.IconUtils.html#generate_expiration_timestamp/1"},{"type":"function","title":"FindSiteIcon.Util.IconUtils.generate_info/2","doc":"","ref":"FindSiteIcon.Util.IconUtils.html#generate_info/2"},{"type":"function","title":"FindSiteIcon.Util.IconUtils.generate_size/1","doc":"","ref":"FindSiteIcon.Util.IconUtils.html#generate_size/1"},{"type":"function","title":"FindSiteIcon.Util.IconUtils.icon_info_for/1","doc":"","ref":"FindSiteIcon.Util.IconUtils.html#icon_info_for/1"},{"type":"function","title":"FindSiteIcon.Util.IconUtils.reject_bad_content_type/1","doc":"","ref":"FindSiteIcon.Util.IconUtils.html#reject_bad_content_type/1"},{"type":"function","title":"FindSiteIcon.Util.IconUtils.unexpired?/1","doc":"","ref":"FindSiteIcon.Util.IconUtils.html#unexpired?/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}